curl --request PUT \
--url https://api.jtl-cloud.com/erp/v2/sales-channels/{salesChannelId}/scx/sellers/shipping-rule-mappings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"mappings": [
{
"shippingMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"shippingRuleId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"customCarrierId": "<string>"
}
]
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/sales-channels/{salesChannelId}/scx/sellers/shipping-rule-mappings"
payload = { "mappings": [
{
"shippingMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"shippingRuleId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"customCarrierId": "<string>"
}
] }
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
mappings: [
{
shippingMethodId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
shippingRuleId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
customCarrierId: '<string>'
}
]
})
};
fetch('https://api.jtl-cloud.com/erp/v2/sales-channels/{salesChannelId}/scx/sellers/shipping-rule-mappings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/v2/sales-channels/{salesChannelId}/scx/sellers/shipping-rule-mappings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'mappings' => [
[
'shippingMethodId' => 'b45f6432-2462-4c6f-b00f-1d9d01000000',
'shippingRuleId' => 'b45f6432-2462-4c6f-b00f-1d9d01000000',
'customCarrierId' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/v2/sales-channels/{salesChannelId}/scx/sellers/shipping-rule-mappings"
payload := strings.NewReader("{\n \"mappings\": [\n {\n \"shippingMethodId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"shippingRuleId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"customCarrierId\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.jtl-cloud.com/erp/v2/sales-channels/{salesChannelId}/scx/sellers/shipping-rule-mappings")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"mappings\": [\n {\n \"shippingMethodId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"shippingRuleId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"customCarrierId\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/v2/sales-channels/{salesChannelId}/scx/sellers/shipping-rule-mappings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"mappings\": [\n {\n \"shippingMethodId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"shippingRuleId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"customCarrierId\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"mappings": [
{
"shippingMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"salesChannelId": "<string>",
"shippingRuleId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"carrierId": "<string>",
"customCarrierId": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}Set Scx Seller Shipping Rule Mappings
Declaratively replaces the complete set of shipping-rule mappings of an SCX seller/account. The request describes the full desired state: provided mappings are upserted and every mapping not contained in the request is removed.
curl --request PUT \
--url https://api.jtl-cloud.com/erp/v2/sales-channels/{salesChannelId}/scx/sellers/shipping-rule-mappings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"mappings": [
{
"shippingMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"shippingRuleId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"customCarrierId": "<string>"
}
]
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/sales-channels/{salesChannelId}/scx/sellers/shipping-rule-mappings"
payload = { "mappings": [
{
"shippingMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"shippingRuleId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"customCarrierId": "<string>"
}
] }
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
mappings: [
{
shippingMethodId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
shippingRuleId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
customCarrierId: '<string>'
}
]
})
};
fetch('https://api.jtl-cloud.com/erp/v2/sales-channels/{salesChannelId}/scx/sellers/shipping-rule-mappings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/v2/sales-channels/{salesChannelId}/scx/sellers/shipping-rule-mappings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'mappings' => [
[
'shippingMethodId' => 'b45f6432-2462-4c6f-b00f-1d9d01000000',
'shippingRuleId' => 'b45f6432-2462-4c6f-b00f-1d9d01000000',
'customCarrierId' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/v2/sales-channels/{salesChannelId}/scx/sellers/shipping-rule-mappings"
payload := strings.NewReader("{\n \"mappings\": [\n {\n \"shippingMethodId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"shippingRuleId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"customCarrierId\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.jtl-cloud.com/erp/v2/sales-channels/{salesChannelId}/scx/sellers/shipping-rule-mappings")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"mappings\": [\n {\n \"shippingMethodId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"shippingRuleId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"customCarrierId\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/v2/sales-channels/{salesChannelId}/scx/sellers/shipping-rule-mappings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"mappings\": [\n {\n \"shippingMethodId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"shippingRuleId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"customCarrierId\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"mappings": [
{
"shippingMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"salesChannelId": "<string>",
"shippingRuleId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"carrierId": "<string>",
"customCarrierId": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}Authorizations
Scopes
Path Parameters
Body
Request model for SetScxSellerShippingRuleMappings command endpoint. Route parameters bind from the route, query parameters from the query string, everything else from the body.
Response
Successfully replaced the shipping-rule mappings. Returns the persisted mappings including their carrier id (server-resolved for a real shipping rule, or the stored custom carrier code for an own-carrier mapping).
Declaratively replaces the complete set of shipping-rule mappings of an SCX seller/account. The request describes the full desired state: provided mappings are upserted and every mapping not contained in the request is removed. - Response
Was this page helpful?